# testcss_stylesheets_path = File.expand_path(File.join(File.dirname(__FILE__), '..', 'scss'))
# begin
#   require 'compass'
#   Compass::Frameworks.register('testcss', :stylesheets_directory => testcss_stylesheets_path)
# rescue LoadError
#   # compass not found, register on the Sass path via the environment.
# if ENV.key? 'SASS_PATH'
#     ENV['SASS_PATH'] += File::PATH_SEPARATOR + testcss_stylesheets_path
#   else
#     ENV['SASS_PATH'] = testcss_stylesheets_path
#   end
# end

# testcss_stylesheets_path = File.expand_path(File.join(File.dirname(__FILE__), '..', 'scss'))

module GemLiux2
  class << self
    # Inspired by Kaminari
    def load!
      register_compass_extension if compass?

      configure_sass
      end

    # Paths

    def base_directory(*subdirs)
      File.expand_path(File.join(File.dirname(__FILE__), "..", *subdirs))
    end

    # Environment detection helpers

    def compass?
      defined?(::Compass::Frameworks)
    end

    private

    def configure_sass
      require 'sass'
      ::Sass.load_paths << base_directory("scss")
      # SassPaths.append_gem_path("gem_liux2", base_directory("scss"))
    end

    def register_compass_extension
      ::Compass::Frameworks.register('testcss', :stylesheets_directory => base_directory("scss"))
    end

  end
end

GemLiux2.load!

